# Generated from ruby_gpg-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby_gpg

Name: rubygem-%{gem_name}
Version: 0.3.2
Release: 1%{?dist}
Summary: Ruby wrapper for the gpg binary
Group: Development/Languages
License: MIT
URL: http://github.com/blaix/ruby_gpg
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby

BuildRequires: rubygem(cucumber)
BuildRequires: rubygem(mocha) >= 1.1.0
BuildRequires: rubygem(rake) >= 10.0
BuildRequires: rubygem(rspec) >= 2.14
BuildRequires: rubygem(yard)

Requires: ruby(rubygems)

BuildArch: noarch

%description
Ruby wrapper for the gpg binary.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
#rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there were programs installed:
#mkdir -p %{buildroot}%{_bindir}
#cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/.autotest

# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%{gem_instdir}
%exclude %{gem_cache}

%files doc
%doc %{gem_instdir}/CHANGELOG.markdown
%doc %{gem_docdir}/rdoc/*
%doc %{gem_docdir}/ri/*
%doc %{gem_spec}


%changelog
* Wed Jun 03 2015 Clint Savage <herlo@linuxfoundation.org> - 0.3.2-1
- Initial package
